# Copyright (c) 2016, 2022, Oracle and/or its affiliates.  All rights reserved.
# This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.

module OCI
  module DataConnectivity
    # Module containing models for requests made to, and responses received from,
    # OCI DataConnectivity services
    module Models
    end
  end
end

# Require models
require 'oci/data_connectivity/models/abstract_call_attribute'
require 'oci/data_connectivity/models/abstract_data_operation_config'
require 'oci/data_connectivity/models/abstract_format_attribute'
require 'oci/data_connectivity/models/abstract_read_attribute'
require 'oci/data_connectivity/models/abstract_write_attribute'
require 'oci/data_connectivity/models/aggregator_summary'
require 'oci/data_connectivity/models/attach_data_asset_info'
require 'oci/data_connectivity/models/attribute'
require 'oci/data_connectivity/models/attribute_profile_result'
require 'oci/data_connectivity/models/avro_format_attribute'
require 'oci/data_connectivity/models/base_type'
require 'oci/data_connectivity/models/bicc_read_attributes'
require 'oci/data_connectivity/models/bip_call_attribute'
require 'oci/data_connectivity/models/call_operation_config'
require 'oci/data_connectivity/models/change_endpoint_compartment_details'
require 'oci/data_connectivity/models/change_registry_compartment_details'
require 'oci/data_connectivity/models/column'
require 'oci/data_connectivity/models/composite_type'
require 'oci/data_connectivity/models/compression'
require 'oci/data_connectivity/models/config_definition'
require 'oci/data_connectivity/models/config_parameter_definition'
require 'oci/data_connectivity/models/config_parameter_value'
require 'oci/data_connectivity/models/config_values'
require 'oci/data_connectivity/models/configured_type'
require 'oci/data_connectivity/models/connection'
require 'oci/data_connectivity/models/connection_property'
require 'oci/data_connectivity/models/connection_summary'
require 'oci/data_connectivity/models/connection_summary_collection'
require 'oci/data_connectivity/models/connection_validation'
require 'oci/data_connectivity/models/connection_validation_summary'
require 'oci/data_connectivity/models/connection_validation_summary_collection'
require 'oci/data_connectivity/models/connectivity_validation'
require 'oci/data_connectivity/models/connector_attribute'
require 'oci/data_connectivity/models/create_attach_data_asset_details'
require 'oci/data_connectivity/models/create_connection_details'
require 'oci/data_connectivity/models/create_connection_validation_details'
require 'oci/data_connectivity/models/create_connectivity_validation_details'
require 'oci/data_connectivity/models/create_data_asset_details'
require 'oci/data_connectivity/models/create_data_preview_details'
require 'oci/data_connectivity/models/create_data_profile_details'
require 'oci/data_connectivity/models/create_de_reference_artifact_details'
require 'oci/data_connectivity/models/create_detach_data_asset_details'
require 'oci/data_connectivity/models/create_dp_endpoint_details'
require 'oci/data_connectivity/models/create_dp_endpoint_from_private'
require 'oci/data_connectivity/models/create_dp_endpoint_from_public'
require 'oci/data_connectivity/models/create_endpoint_details'
require 'oci/data_connectivity/models/create_entity_shape_details'
require 'oci/data_connectivity/models/create_entity_shape_from_data_store'
require 'oci/data_connectivity/models/create_entity_shape_from_file'
require 'oci/data_connectivity/models/create_entity_shape_from_sql'
require 'oci/data_connectivity/models/create_entity_shape_from_table'
require 'oci/data_connectivity/models/create_entity_shape_from_view'
require 'oci/data_connectivity/models/create_execute_operation_job_details'
require 'oci/data_connectivity/models/create_folder_details'
require 'oci/data_connectivity/models/create_full_push_down_task_details'
require 'oci/data_connectivity/models/create_reference_artifact_details'
require 'oci/data_connectivity/models/create_registry_details'
require 'oci/data_connectivity/models/create_test_network_connectivity_details'
require 'oci/data_connectivity/models/csv_format_attribute'
require 'oci/data_connectivity/models/data_asset'
require 'oci/data_connectivity/models/data_asset_summary'
require 'oci/data_connectivity/models/data_asset_summary_collection'
require 'oci/data_connectivity/models/data_entity'
require 'oci/data_connectivity/models/data_entity_details'
require 'oci/data_connectivity/models/data_entity_from_data_store'
require 'oci/data_connectivity/models/data_entity_from_data_store_entity_details'
require 'oci/data_connectivity/models/data_entity_from_file'
require 'oci/data_connectivity/models/data_entity_from_file_entity_details'
require 'oci/data_connectivity/models/data_entity_from_sql'
require 'oci/data_connectivity/models/data_entity_from_sql_entity_details'
require 'oci/data_connectivity/models/data_entity_from_table'
require 'oci/data_connectivity/models/data_entity_from_table_entity_details'
require 'oci/data_connectivity/models/data_entity_from_view'
require 'oci/data_connectivity/models/data_entity_from_view_entity_details'
require 'oci/data_connectivity/models/data_entity_summary'
require 'oci/data_connectivity/models/data_entity_summary_collection'
require 'oci/data_connectivity/models/data_entity_summary_from_data_store'
require 'oci/data_connectivity/models/data_entity_summary_from_file'
require 'oci/data_connectivity/models/data_entity_summary_from_sql'
require 'oci/data_connectivity/models/data_entity_summary_from_table'
require 'oci/data_connectivity/models/data_entity_summary_from_view'
require 'oci/data_connectivity/models/data_format'
require 'oci/data_connectivity/models/data_preview'
require 'oci/data_connectivity/models/data_profile'
require 'oci/data_connectivity/models/data_type'
require 'oci/data_connectivity/models/data_type_stat'
require 'oci/data_connectivity/models/date_attribute'
require 'oci/data_connectivity/models/de_reference_info'
require 'oci/data_connectivity/models/derived_type'
require 'oci/data_connectivity/models/detach_data_asset_info'
require 'oci/data_connectivity/models/dp_endpoint'
require 'oci/data_connectivity/models/dp_endpoint_details'
require 'oci/data_connectivity/models/dp_endpoint_from_private'
require 'oci/data_connectivity/models/dp_endpoint_from_private_details'
require 'oci/data_connectivity/models/dp_endpoint_from_public'
require 'oci/data_connectivity/models/dp_endpoint_from_public_details'
require 'oci/data_connectivity/models/dp_endpoint_summary'
require 'oci/data_connectivity/models/dp_endpoint_summary_from_private'
require 'oci/data_connectivity/models/dp_endpoint_summary_from_public'
require 'oci/data_connectivity/models/endpoint'
require 'oci/data_connectivity/models/endpoint_summary'
require 'oci/data_connectivity/models/endpoint_summary_collection'
require 'oci/data_connectivity/models/entity_profile_result'
require 'oci/data_connectivity/models/entity_shape'
require 'oci/data_connectivity/models/entity_shape_from_data_store'
require 'oci/data_connectivity/models/entity_shape_from_file'
require 'oci/data_connectivity/models/entity_shape_from_sql'
require 'oci/data_connectivity/models/entity_shape_from_table'
require 'oci/data_connectivity/models/entity_shape_from_view'
require 'oci/data_connectivity/models/error_details'
require 'oci/data_connectivity/models/execute_operation_job'
require 'oci/data_connectivity/models/execute_operation_job_details'
require 'oci/data_connectivity/models/external_storage'
require 'oci/data_connectivity/models/filter_push'
require 'oci/data_connectivity/models/folder'
require 'oci/data_connectivity/models/folder_summary'
require 'oci/data_connectivity/models/folder_summary_collection'
require 'oci/data_connectivity/models/foreign_key'
require 'oci/data_connectivity/models/full_push_down_task_response'
require 'oci/data_connectivity/models/hdfs_write_attributes'
require 'oci/data_connectivity/models/histogram'
require 'oci/data_connectivity/models/input_port'
require 'oci/data_connectivity/models/join'
require 'oci/data_connectivity/models/json_format_attribute'
require 'oci/data_connectivity/models/key'
require 'oci/data_connectivity/models/key_attribute'
require 'oci/data_connectivity/models/key_range'
require 'oci/data_connectivity/models/key_range_partition_config'
require 'oci/data_connectivity/models/message'
require 'oci/data_connectivity/models/native_shape_field'
require 'oci/data_connectivity/models/network_connectivity_status'
require 'oci/data_connectivity/models/network_connectivity_status_collection'
require 'oci/data_connectivity/models/numeric_attribute'
require 'oci/data_connectivity/models/object_freq_stat'
require 'oci/data_connectivity/models/object_metadata'
require 'oci/data_connectivity/models/object_storage_write_attributes'
require 'oci/data_connectivity/models/operation'
require 'oci/data_connectivity/models/operation_exec_result'
require 'oci/data_connectivity/models/operation_from_procedure'
require 'oci/data_connectivity/models/operation_input_record'
require 'oci/data_connectivity/models/operation_summary'
require 'oci/data_connectivity/models/operation_summary_collection'
require 'oci/data_connectivity/models/operation_summary_from_procedure'
require 'oci/data_connectivity/models/oracle_adwc_write_attributes'
require 'oci/data_connectivity/models/oracle_atp_write_attributes'
require 'oci/data_connectivity/models/oracle_read_attribute'
require 'oci/data_connectivity/models/oracle_read_attributes'
require 'oci/data_connectivity/models/oracle_write_attributes'
require 'oci/data_connectivity/models/outlier'
require 'oci/data_connectivity/models/output_port'
require 'oci/data_connectivity/models/parameter'
require 'oci/data_connectivity/models/parent_reference'
require 'oci/data_connectivity/models/parquet_format_attribute'
require 'oci/data_connectivity/models/partition_config'
require 'oci/data_connectivity/models/primary_key'
require 'oci/data_connectivity/models/profile_config'
require 'oci/data_connectivity/models/profile_stat'
require 'oci/data_connectivity/models/push_down_operation'
require 'oci/data_connectivity/models/query'
require 'oci/data_connectivity/models/read_operation_config'
require 'oci/data_connectivity/models/reference_artifact_summary'
require 'oci/data_connectivity/models/reference_artifact_summary_collection'
require 'oci/data_connectivity/models/reference_info'
require 'oci/data_connectivity/models/registry'
require 'oci/data_connectivity/models/registry_metadata'
require 'oci/data_connectivity/models/registry_summary'
require 'oci/data_connectivity/models/registry_summary_collection'
require 'oci/data_connectivity/models/row'
require 'oci/data_connectivity/models/schema'
require 'oci/data_connectivity/models/schema_drift_config'
require 'oci/data_connectivity/models/schema_summary'
require 'oci/data_connectivity/models/schema_summary_collection'
require 'oci/data_connectivity/models/select'
require 'oci/data_connectivity/models/shape'
require 'oci/data_connectivity/models/shape_field'
require 'oci/data_connectivity/models/sort'
require 'oci/data_connectivity/models/sort_clause'
require 'oci/data_connectivity/models/source'
require 'oci/data_connectivity/models/string_attribute'
require 'oci/data_connectivity/models/structured_type'
require 'oci/data_connectivity/models/target'
require 'oci/data_connectivity/models/test_network_connectivity'
require 'oci/data_connectivity/models/type'
require 'oci/data_connectivity/models/type_library'
require 'oci/data_connectivity/models/type_summary'
require 'oci/data_connectivity/models/type_system'
require 'oci/data_connectivity/models/typed_object'
require 'oci/data_connectivity/models/types_summary_collection'
require 'oci/data_connectivity/models/unique_key'
require 'oci/data_connectivity/models/update_connection_details'
require 'oci/data_connectivity/models/update_data_asset_details'
require 'oci/data_connectivity/models/update_dp_endpoint_details'
require 'oci/data_connectivity/models/update_dp_endpoint_from_private'
require 'oci/data_connectivity/models/update_dp_endpoint_from_public'
require 'oci/data_connectivity/models/update_endpoint_details'
require 'oci/data_connectivity/models/update_folder_details'
require 'oci/data_connectivity/models/update_registry_details'
require 'oci/data_connectivity/models/validation_message'
require 'oci/data_connectivity/models/validation_result'
require 'oci/data_connectivity/models/work_request'
require 'oci/data_connectivity/models/work_request_error'
require 'oci/data_connectivity/models/work_request_error_collection'
require 'oci/data_connectivity/models/work_request_error_summary'
require 'oci/data_connectivity/models/work_request_log'
require 'oci/data_connectivity/models/work_request_log_collection'
require 'oci/data_connectivity/models/work_request_resource'
require 'oci/data_connectivity/models/work_request_summary'
require 'oci/data_connectivity/models/work_request_summary_collection'
require 'oci/data_connectivity/models/write_operation_config'

# Require generated clients
require 'oci/data_connectivity/data_connectivity_management_client'
require 'oci/data_connectivity/data_connectivity_management_client_composite_operations'
require 'oci/data_connectivity/network_validation_client'

# Require service utilities
require 'oci/data_connectivity/util'
