# Copyright (c) 2016, 2022, Oracle and/or its affiliates.  All rights reserved.
# This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.

module OCI
  module Identity
    # Module containing models for requests made to, and responses received from,
    # OCI Identity services
    module Models
    end
  end
end

# Require models
require 'oci/identity/models/add_lock_details'
require 'oci/identity/models/add_user_to_group_details'
require 'oci/identity/models/allowed_domain_license_type_summary'
require 'oci/identity/models/api_key'
require 'oci/identity/models/auth_token'
require 'oci/identity/models/authentication_policy'
require 'oci/identity/models/availability_domain'
require 'oci/identity/models/base_tag_definition_validator'
require 'oci/identity/models/bulk_action_resource'
require 'oci/identity/models/bulk_action_resource_type'
require 'oci/identity/models/bulk_action_resource_type_collection'
require 'oci/identity/models/bulk_delete_resources_details'
require 'oci/identity/models/bulk_delete_tags_details'
require 'oci/identity/models/bulk_edit_operation_details'
require 'oci/identity/models/bulk_edit_resource'
require 'oci/identity/models/bulk_edit_tags_details'
require 'oci/identity/models/bulk_edit_tags_resource_type'
require 'oci/identity/models/bulk_edit_tags_resource_type_collection'
require 'oci/identity/models/bulk_move_resources_details'
require 'oci/identity/models/change_domain_compartment_details'
require 'oci/identity/models/change_domain_license_type_details'
require 'oci/identity/models/change_tag_namespace_compartment_detail'
require 'oci/identity/models/change_tas_domain_license_type_details'
require 'oci/identity/models/compartment'
require 'oci/identity/models/create_api_key_details'
require 'oci/identity/models/create_auth_token_details'
require 'oci/identity/models/create_compartment_details'
require 'oci/identity/models/create_customer_secret_key_details'
require 'oci/identity/models/create_db_credential_details'
require 'oci/identity/models/create_domain_details'
require 'oci/identity/models/create_dynamic_group_details'
require 'oci/identity/models/create_group_details'
require 'oci/identity/models/create_identity_provider_details'
require 'oci/identity/models/create_idp_group_mapping_details'
require 'oci/identity/models/create_network_source_details'
require 'oci/identity/models/create_o_auth2_client_credential_details'
require 'oci/identity/models/create_policy_details'
require 'oci/identity/models/create_region_subscription_details'
require 'oci/identity/models/create_saml2_identity_provider_details'
require 'oci/identity/models/create_smtp_credential_details'
require 'oci/identity/models/create_swift_password_details'
require 'oci/identity/models/create_tag_default_details'
require 'oci/identity/models/create_tag_details'
require 'oci/identity/models/create_tag_namespace_details'
require 'oci/identity/models/create_user_details'
require 'oci/identity/models/customer_secret_key'
require 'oci/identity/models/customer_secret_key_summary'
require 'oci/identity/models/db_credential'
require 'oci/identity/models/db_credential_summary'
require 'oci/identity/models/default_tag_definition_validator'
require 'oci/identity/models/domain'
require 'oci/identity/models/domain_replication'
require 'oci/identity/models/domain_replication_states'
require 'oci/identity/models/domain_summary'
require 'oci/identity/models/dynamic_group'
require 'oci/identity/models/enable_replication_to_region_details'
require 'oci/identity/models/enum_tag_definition_validator'
require 'oci/identity/models/fault_domain'
require 'oci/identity/models/fully_qualified_scope'
require 'oci/identity/models/group'
require 'oci/identity/models/iam_work_request'
require 'oci/identity/models/iam_work_request_error_summary'
require 'oci/identity/models/iam_work_request_log_summary'
require 'oci/identity/models/iam_work_request_resource'
require 'oci/identity/models/iam_work_request_summary'
require 'oci/identity/models/identity_provider'
require 'oci/identity/models/identity_provider_group_summary'
require 'oci/identity/models/idp_group_mapping'
require 'oci/identity/models/import_standard_tags_details'
require 'oci/identity/models/mfa_totp_device'
require 'oci/identity/models/mfa_totp_device_summary'
require 'oci/identity/models/mfa_totp_token'
require 'oci/identity/models/move_compartment_details'
require 'oci/identity/models/network_policy'
require 'oci/identity/models/network_sources'
require 'oci/identity/models/network_sources_summary'
require 'oci/identity/models/network_sources_virtual_source_list'
require 'oci/identity/models/o_auth2_client_credential'
require 'oci/identity/models/o_auth2_client_credential_summary'
require 'oci/identity/models/password_policy'
require 'oci/identity/models/policy'
require 'oci/identity/models/region'
require 'oci/identity/models/region_subscription'
require 'oci/identity/models/remove_lock_details'
require 'oci/identity/models/replicated_region_details'
require 'oci/identity/models/resource_lock'
require 'oci/identity/models/saml2_identity_provider'
require 'oci/identity/models/scim_client_credentials'
require 'oci/identity/models/smtp_credential'
require 'oci/identity/models/smtp_credential_summary'
require 'oci/identity/models/standard_tag_definition_template'
require 'oci/identity/models/standard_tag_namespace_template'
require 'oci/identity/models/standard_tag_namespace_template_summary'
require 'oci/identity/models/swift_password'
require 'oci/identity/models/tag'
require 'oci/identity/models/tag_default'
require 'oci/identity/models/tag_default_summary'
require 'oci/identity/models/tag_namespace'
require 'oci/identity/models/tag_namespace_summary'
require 'oci/identity/models/tag_summary'
require 'oci/identity/models/tagging_work_request'
require 'oci/identity/models/tagging_work_request_error_summary'
require 'oci/identity/models/tagging_work_request_log_summary'
require 'oci/identity/models/tagging_work_request_summary'
require 'oci/identity/models/tenancy'
require 'oci/identity/models/ui_password'
require 'oci/identity/models/ui_password_information'
require 'oci/identity/models/update_auth_token_details'
require 'oci/identity/models/update_authentication_policy_details'
require 'oci/identity/models/update_compartment_details'
require 'oci/identity/models/update_customer_secret_key_details'
require 'oci/identity/models/update_domain_details'
require 'oci/identity/models/update_dynamic_group_details'
require 'oci/identity/models/update_group_details'
require 'oci/identity/models/update_identity_provider_details'
require 'oci/identity/models/update_idp_group_mapping_details'
require 'oci/identity/models/update_network_source_details'
require 'oci/identity/models/update_o_auth2_client_credential_details'
require 'oci/identity/models/update_policy_details'
require 'oci/identity/models/update_saml2_identity_provider_details'
require 'oci/identity/models/update_smtp_credential_details'
require 'oci/identity/models/update_state_details'
require 'oci/identity/models/update_swift_password_details'
require 'oci/identity/models/update_tag_default_details'
require 'oci/identity/models/update_tag_details'
require 'oci/identity/models/update_tag_namespace_details'
require 'oci/identity/models/update_user_capabilities_details'
require 'oci/identity/models/update_user_details'
require 'oci/identity/models/user'
require 'oci/identity/models/user_capabilities'
require 'oci/identity/models/user_group_membership'
require 'oci/identity/models/work_request'
require 'oci/identity/models/work_request_error'
require 'oci/identity/models/work_request_log_entry'
require 'oci/identity/models/work_request_resource'
require 'oci/identity/models/work_request_summary'

# Require generated clients
require 'oci/identity/identity_client'
require 'oci/identity/identity_client_composite_operations'

# Require service utilities
require 'oci/identity/util'
