# Copyright (c) 2016, 2022, Oracle and/or its affiliates.  All rights reserved.
# This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.

module OCI
  module Oda
    # Module containing models for requests made to, and responses received from,
    # OCI Oda services
    module Models
    end
  end
end

# Require models
require 'oci/oda/models/android_channel'
require 'oci/oda/models/app_event_channel'
require 'oci/oda/models/application_channel'
require 'oci/oda/models/authentication_grant_type'
require 'oci/oda/models/authentication_identity_provider'
require 'oci/oda/models/authentication_provider'
require 'oci/oda/models/authentication_provider_collection'
require 'oci/oda/models/authentication_provider_summary'
require 'oci/oda/models/bot'
require 'oci/oda/models/bot_multilingual_mode'
require 'oci/oda/models/bot_publish_state'
require 'oci/oda/models/change_oda_instance_compartment_details'
require 'oci/oda/models/channel'
require 'oci/oda/models/channel_category'
require 'oci/oda/models/channel_collection'
require 'oci/oda/models/channel_summary'
require 'oci/oda/models/channel_type'
require 'oci/oda/models/clone_digital_assistant_details'
require 'oci/oda/models/clone_skill_details'
require 'oci/oda/models/configure_digital_assistant_parameters_details'
require 'oci/oda/models/cortana_channel'
require 'oci/oda/models/create_android_channel_details'
require 'oci/oda/models/create_android_channel_result'
require 'oci/oda/models/create_app_event_channel_details'
require 'oci/oda/models/create_app_event_channel_result'
require 'oci/oda/models/create_application_channel_details'
require 'oci/oda/models/create_application_channel_result'
require 'oci/oda/models/create_authentication_provider_details'
require 'oci/oda/models/create_bot_kind'
require 'oci/oda/models/create_channel_details'
require 'oci/oda/models/create_channel_result'
require 'oci/oda/models/create_cortana_channel_details'
require 'oci/oda/models/create_cortana_channel_result'
require 'oci/oda/models/create_digital_assistant_details'
require 'oci/oda/models/create_digital_assistant_version_details'
require 'oci/oda/models/create_facebook_channel_details'
require 'oci/oda/models/create_facebook_channel_result'
require 'oci/oda/models/create_imported_package_details'
require 'oci/oda/models/create_ios_channel_details'
require 'oci/oda/models/create_ios_channel_result'
require 'oci/oda/models/create_ms_teams_channel_details'
require 'oci/oda/models/create_ms_teams_channel_result'
require 'oci/oda/models/create_new_digital_assistant_details'
require 'oci/oda/models/create_new_skill_details'
require 'oci/oda/models/create_oss_channel_details'
require 'oci/oda/models/create_oss_channel_result'
require 'oci/oda/models/create_oda_instance_attachment_details'
require 'oci/oda/models/create_oda_instance_details'
require 'oci/oda/models/create_osvc_channel_details'
require 'oci/oda/models/create_osvc_channel_result'
require 'oci/oda/models/create_service_cloud_channel_details'
require 'oci/oda/models/create_service_cloud_channel_result'
require 'oci/oda/models/create_skill_details'
require 'oci/oda/models/create_skill_parameter_details'
require 'oci/oda/models/create_skill_version_details'
require 'oci/oda/models/create_slack_channel_details'
require 'oci/oda/models/create_slack_channel_result'
require 'oci/oda/models/create_test_channel_result'
require 'oci/oda/models/create_translator_details'
require 'oci/oda/models/create_twilio_channel_details'
require 'oci/oda/models/create_twilio_channel_result'
require 'oci/oda/models/create_web_channel_details'
require 'oci/oda/models/create_web_channel_result'
require 'oci/oda/models/create_webhook_channel_details'
require 'oci/oda/models/create_webhook_channel_result'
require 'oci/oda/models/default_parameter_values'
require 'oci/oda/models/digital_assistant'
require 'oci/oda/models/digital_assistant_collection'
require 'oci/oda/models/digital_assistant_parameter'
require 'oci/oda/models/digital_assistant_parameter_collection'
require 'oci/oda/models/digital_assistant_parameter_summary'
require 'oci/oda/models/digital_assistant_parameter_value'
require 'oci/oda/models/digital_assistant_summary'
require 'oci/oda/models/error_body'
require 'oci/oda/models/export_bot_details'
require 'oci/oda/models/export_digital_assistant_details'
require 'oci/oda/models/export_skill_details'
require 'oci/oda/models/extend_digital_assistant_details'
require 'oci/oda/models/extend_skill_details'
require 'oci/oda/models/facebook_channel'
require 'oci/oda/models/import_bot_details'
require 'oci/oda/models/import_contract'
require 'oci/oda/models/imported_package'
require 'oci/oda/models/imported_package_summary'
require 'oci/oda/models/ios_channel'
require 'oci/oda/models/lifecycle_state'
require 'oci/oda/models/ms_teams_channel'
require 'oci/oda/models/metadata_property'
require 'oci/oda/models/oss_channel'
require 'oci/oda/models/oda_instance'
require 'oci/oda/models/oda_instance_attachment'
require 'oci/oda/models/oda_instance_attachment_collection'
require 'oci/oda/models/oda_instance_attachment_owner'
require 'oci/oda/models/oda_instance_attachment_summary'
require 'oci/oda/models/oda_instance_owner'
require 'oci/oda/models/oda_instance_summary'
require 'oci/oda/models/osvc_channel'
require 'oci/oda/models/osvc_service_type'
require 'oci/oda/models/package'
require 'oci/oda/models/package_summary'
require 'oci/oda/models/parameter'
require 'oci/oda/models/parameter_definition'
require 'oci/oda/models/parameter_type'
require 'oci/oda/models/resource_type_default_parameter_values'
require 'oci/oda/models/resource_type_import_contract'
require 'oci/oda/models/resource_type_metadata'
require 'oci/oda/models/restricted_operation'
require 'oci/oda/models/service_cloud_channel'
require 'oci/oda/models/service_cloud_client_type'
require 'oci/oda/models/skill'
require 'oci/oda/models/skill_collection'
require 'oci/oda/models/skill_parameter'
require 'oci/oda/models/skill_parameter_collection'
require 'oci/oda/models/skill_parameter_summary'
require 'oci/oda/models/skill_summary'
require 'oci/oda/models/slack_channel'
require 'oci/oda/models/storage_location'
require 'oci/oda/models/test_channel'
require 'oci/oda/models/translation_service'
require 'oci/oda/models/translator'
require 'oci/oda/models/translator_collection'
require 'oci/oda/models/translator_summary'
require 'oci/oda/models/twilio_channel'
require 'oci/oda/models/update_android_channel_details'
require 'oci/oda/models/update_app_event_channel_details'
require 'oci/oda/models/update_application_channel_details'
require 'oci/oda/models/update_authentication_provider_details'
require 'oci/oda/models/update_channel_details'
require 'oci/oda/models/update_cortana_channel_details'
require 'oci/oda/models/update_digital_assistant_details'
require 'oci/oda/models/update_digital_assistant_parameter_details'
require 'oci/oda/models/update_facebook_channel_details'
require 'oci/oda/models/update_imported_package_details'
require 'oci/oda/models/update_ios_channel_details'
require 'oci/oda/models/update_ms_teams_channel_details'
require 'oci/oda/models/update_oss_channel_details'
require 'oci/oda/models/update_oda_instance_attachment_details'
require 'oci/oda/models/update_oda_instance_details'
require 'oci/oda/models/update_osvc_channel_details'
require 'oci/oda/models/update_service_cloud_channel_details'
require 'oci/oda/models/update_skill_details'
require 'oci/oda/models/update_skill_parameter_details'
require 'oci/oda/models/update_slack_channel_details'
require 'oci/oda/models/update_translator_details'
require 'oci/oda/models/update_twilio_channel_details'
require 'oci/oda/models/update_web_channel_details'
require 'oci/oda/models/update_webhook_channel_details'
require 'oci/oda/models/web_channel'
require 'oci/oda/models/webhook_channel'
require 'oci/oda/models/webhook_payload_version'
require 'oci/oda/models/work_request'
require 'oci/oda/models/work_request_error'
require 'oci/oda/models/work_request_log_entry'
require 'oci/oda/models/work_request_resource'
require 'oci/oda/models/work_request_summary'

# Require generated clients
require 'oci/oda/management_client'
require 'oci/oda/management_client_composite_operations'
require 'oci/oda/oda_client'
require 'oci/oda/oda_client_composite_operations'
require 'oci/oda/odapackage_client'
require 'oci/oda/odapackage_client_composite_operations'

# Require service utilities
require 'oci/oda/util'
